Bug 288421 - Dell 2950 w/ integrated LSI Perc5i (megaraid) seeing through RAID, cannot access logical volume
Dell 2950 w/ integrated LSI Perc5i (megaraid) seeing through RAID, cannot acc...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-09-12 16:35 EDT by Daniel Jabbour
Modified: 2008-02-07 23:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:28:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen-shot of the kernel panic (258.27 KB, image/jpeg)
2007-09-12 16:35 EDT, Daniel Jabbour
no flags Details

  None (edit)
Description Daniel Jabbour 2007-09-12 16:35:42 EDT
Description of problem:
When running Fedora on a Dell 2950 w/ integrated LSI Perc5i (megaraid), the
system will not boot after upgrading to 2.6.22.  The boot message indicates the
system is somehow seeing through RAID, cannot access logical volume.  This
causes the root device to be unavailable and the kernel to panic.

Version-Release number of selected component (if applicable):
I experience this problem with kernel 2.6.22 and higher.  I do not believe it is
isolated to FC6, as I downloaded the stock 2.6.22 kernel from kernel.org and was
able to reproduce.

How reproducible:
Every time.

Steps to Reproduce:
1. Configure RAID10 (I've also tried RAID5) on a Perc5i in this system.

2. Load Fedora Core.  The installer works fine since the kernel version it uses
has a working LSI driver.

3. Upgrade to 2.6.22 kernel image (in yum) or download kernel.org sources,
compile, and install.

4. Reboot system.  It comes up unable to boot.  The kernel panics.
  
Actual results:
As the system boots, it cannot mount the root device.  Also in the output we see
all 6 disks separately, when they should be showing up as one logical volume.

Expected results:
The system should see one logical volume and be unaware of the physical disk
configuration since the controller was set to one RAID10 array.  The system
should mount this volume and boot.

Additional info:
- Yes, the firmware is up to date.

- I have reproduced this problem with the 2.6.22.1 kernel from kernel.org.

- I opened a case with Dell who cannot help since fedora is "unsupported" and
this kernel version isn't in RHEL yet.

- Dell confirms they can reproduce the problem.

- I downloaded the megaraid drivers from Dell and tried installing them for
2.6.22.1.  It prompted me that the drivers were older than the ones in 2.6.22, I
forced it to install, rebuilt the initrd, and the same issue continues.  This
leads me to believe that the issue might not be with the megaraid driver, but
with something else in the kernel scsi subsystem, but I’m no kernel hacker.

- This problem seem very similar to one detailed in an older kernel on the
Ubuntu bug tracker
(https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.15/+bug/55138). 
Also, I also noticed that the bug has a patch applied in Ubuntu
(https://launchpad.net/ubuntu/+source/linux-source-2.6.15/+bug/57265).
Comment 1 Daniel Jabbour 2007-09-12 16:35:42 EDT
Created attachment 193971 [details]
Screen-shot of the kernel panic
Comment 2 Chuck Ebbert 2007-09-12 17:24:18 EDT
Are the raid volumes really missing, or are there just "extra" SCSI disks
detected? Is the system using mount-by-label?
Comment 3 Daniel Jabbour 2007-09-12 17:31:46 EDT
The volume is missing, as you can see from the screen shot.  I realize this is
different than the Ubuntu bug (where the logical volume appeared after the
physical disks).  Also, I am using by label, but I've tried manually specifying
the disk, which also didn't work.  Why would it- it's pointing to a disk which
only has stripes on it?
Comment 4 Chuck Ebbert 2007-10-03 12:37:44 EDT
Reply from linux-kernel:

Could a standard MPT driver (non-RAID) be loading on this controller?
During the reboot, can you see megaraid driver loading at all? Or do you
see mpt_scsi driver?

Before upgrading, can you blacklist this controller in pci hotplug? I
see shpchp on your screenshot.
Comment 5 Jon Stanley 2008-01-07 20:55:30 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 6 Jon Stanley 2008-02-07 23:28:52 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.